%define name ypserv
%define version 1.3.11
%define release 4mdk
%define initdir %{_initrddir}

Summary: The NIS (Network Information Service) server.
Url: http://www.suse.de/~kukuk/nis/
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
Source0: ftp://ftp.kernel.org/pub/linux/utils/NIS/ypserv-%{PACKAGE_VERSION}.tar.bz2
Source1: ypserv-ypserv.init
Source2: ypserv-yppasswdd.init
Requires: portmap tcp_wrappers
Prereq: /sbin/chkconfig /sbin/service
Patch0: ypserv-1.3.11-redhat.patch.bz2
Patch1: ypserv-1.3.9-ndbmkey.patch.bz2
Patch2: ypserv-1.3.11a.patch.bz2
Patch3: ypserv-syslog.patch.bz2
Patch4: ypserv-1.3.6-security.patch.bz2
Obsoletes: yppasswd
Buildroot: %{_tmppath}/%{name}-root

%description
The Network Information Service (NIS) is a system which provides network
information (login names, passwords, home directories, group information)
to all of the machines on a network.  NIS can enable users to login on
any machine on the network, as long as the machine has the NIS client
programs running and the user's password is recorded in the NIS passwd
database.  NIS was formerly known as Sun Yellow Pages (YP).

This package provides the NIS server, which will need to be running on
your network.  NIS clients do not need to be running the server.

Install ypserv if you need an NIS server for your network.  You'll also
need to install the yp-tools and ypbind packages onto any NIS client
machines.

%prep
%setup -q
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1 
%patch4 -p1

%build
cp etc/README etc/README.etc
make distclean
%configure \
        --enable-checkroot \
	--enable-fqdn \
	--enable-tcp-wrapper \
	--enable-yppasswd \
	--libexecdir=%{_libdir}/yp \
	--mandir=%{_mandir}
%make

%install
rm -rf $RPM_BUILD_ROOT

make install ROOT=$RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT%{initdir}
install -m644 etc/ypserv.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m755 $RPM_SOURCE_DIR/ypserv-ypserv.init $RPM_BUILD_ROOT%{initdir}/ypserv
install -m755 $RPM_SOURCE_DIR/ypserv-yppasswdd.init $RPM_BUILD_ROOT%{initdir}/yppasswdd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypserv
/sbin/chkconfig --add yppasswdd

%triggerpostun -- ypserv <= ypserv-1.3.0-2
/sbin/chkconfig --add ypserv

%triggerpostun -- yppasswd
/sbin/chkconfig --add yppasswdd

%preun
if [ $1 = 0 ]; then
	/sbin/service ypserv stop > /dev/null 2>&1
	/sbin/chkconfig --del ypserv
	/sbin/service yppasswdd stop > /dev/null 2>&1
	/sbin/chkconfig --del yppasswdd
fi
 
%postun
if [ "$1" -ge "1" ]; then
	/sbin/service ypserv condrestart > /dev/null 2>&1
	/sbin/service yppasswdd condrestart > /dev/null 2>&1
fi
 
%files
%defattr(-,root,root)
%doc README README.secure INSTALL ChangeLog TODO BUGS NEWS
%doc etc/ypserv.conf etc/securenets etc/README.etc
%config(noreplace) %{_sysconfdir}/ypserv.conf
%config(noreplace) /var/yp/*
%dir /var/yp
%config(noreplace) %{initdir}/*
%{_libdir}/yp
%{_sbindir}/*
%{_mandir}/*/*
%{_includedir}/*/*

%changelog
* Tue Oct 24 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.3.11-4mdk
- security fix

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.11-3mdk
- Fix typo in initscripts.

* Wed Aug 30 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.11-2mdk
- rebuild for hte user of the initrddir macro.

* Thu Aug 24 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.11-1mdk
- 1.3.11
- launch rpc.ypxfrd in /etc/rc.d/init.d/ypserv
- add condrestart in /etc/rc.d/init.d/ypserv to be able to restart the service
in %%postun using /sbin/service.

* Mon Jul 24 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.9-5mdk
- fixed path of makedbm in /var/yp/Makefile (was broken with 4mdk)

* Sun Jul 23 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.3.9-4mdk
- macroszifications
- BM

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3.9-3mdk
- fix group
- use spechelper (resulting in spec cleanups)

* Mon Dec 6	1999 Philippe Libat <philippe@mandrakesoft.com>

- Added Makefile patch
- Spec modification

* Wed Oct 27 1999 Francis Galiegue <francis@mandrakesoft.com>

- Updated to 1.3.9 - fixes numerous security bugs
- export shadow map but set MERGE_(PASSWD|GROUP) to false

* Fri Jul 30 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- Updated to 1.3.7

* Sun Jul 18 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.3.6.94

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- version 1.3.6.91

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- move to start before ypbind

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- upgraded to 1.3.5

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- yppasswd.init: lock file must have same name as init.d script, not daemon

* Sat Jul 11 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.4
- fixed the fubared Makefile
- link against gdbm instead of ndbm (it seems to work better)

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.1
- enhanced init scripts

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun
- Use libdb fro dbp_*().

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.0

* Wed Dec 03 1997 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.5
- added buildroot; updated spec file
- added yppasswdd init file

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- init script shouldn't set the domain name

* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- updated initscript for status and restart
- turned off in all runlevels, by default
- removed postinstall script which didn't do anything

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- added patch to build against later glibc

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Wed Apr 23 1997 Erik Troan <ewt@redhat.com>
- updated to 1.1.7.

* Fri Mar 14 1997 Erik Troan <ewt@redhat.com>
- Updated to ypserv 1.1.5, ported to Alpha (glibc).

* Fri Mar 07 1997 Erik Troan <ewt@redhat.com>
- Removed -pedantic which confuses the SPARC :-(

